package doctor.domain.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @ClassName : UserEntity
 * @Description : 用户表
 * @Author : FJJ
 * @Date: 2024-01-10 20:46
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class UserEntity {
    private Integer id;
    private String phone;
    private String pwd;
    private String email;
    private String nickName;
    private String userName;
    private String headPic;
    private Integer sex;
    private Integer age;
    private String height;
    private String weight;
    private String invitationCode;
    private Date updateTime;
    private Long createTime;


}
