package doctor.mapper;

import doctor.domain.entity.UserVideoBuyEntity;
import doctor.domain.entity.UserVideoCollectionEntity;
import doctor.domain.entity.UserWalletEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @ClassName : UserVideoMapper
 * @Description :
 * @Author : FJJ
 * @Date: 2024-01-10 14:33
 */
@Mapper
public interface UserVideoMapper {
    List<UserVideoCollectionEntity> findVideoCollectionList();

    void cancelVideoCollection(@Param("id") Integer id);

    List<UserVideoBuyEntity> findUserVideoBuyList();

    void deleteVideoBuy(@Param("id") Integer id);

    List<UserWalletEntity> findUserWallet();
}
